org.apache.storm.daemon.worker

## Class WorkerTransfer

- java.lang.Object
- - org.apache.storm.daemon.worker.WorkerTransfer

- All Implemented Interfaces:
    org.apache.storm.shade.org.jctools.queues.MessagePassingQueue.Consumer<Object>, JCQueue.Consumer

      public class WorkerTransfer
      extends Object
      implements JCQueue.Consumer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkerTransfer(WorkerState workerState, Map<String,Object> topologyConf, int maxTaskIdInTopo)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(Object tuple)`
    `void` | `flush()`
    `void` | `flushRemotes()`
    `JCQueue` | `getTransferQueue()`
    `void` | `haltTransferThd()`
    `Utils.SmartThread` | `makeTransferThread()`
    `boolean` | `tryFlushRemotes()`
    `boolean` | `tryTransferRemote(AddressedTuple addressedTuple, Queue<AddressedTuple> pendingEmits, ITupleSerializer serializer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkerTransfer

          public WorkerTransfer(WorkerState workerState,
                                Map<String,Object> topologyConf,
                                int maxTaskIdInTopo)

  - ### Method Detail

    - #### getTransferQueue

          public JCQueue getTransferQueue()

    - #### makeTransferThread

          public Utils.SmartThread makeTransferThread()

    - #### accept

          public void accept(Object tuple)

      Specified by:
        `accept` in interface `org.apache.storm.shade.org.jctools.queues.MessagePassingQueue.Consumer<Object>`
      Specified by:
        `accept` in interface `JCQueue.Consumer`

    - #### flush

          public void flush()
                     throws InterruptedException

      Specified by:
        `flush` in interface `JCQueue.Consumer`
      Throws:
        `InterruptedException`

    - #### tryTransferRemote

          public boolean tryTransferRemote(AddressedTuple addressedTuple,
                                           Queue<AddressedTuple> pendingEmits,
                                           ITupleSerializer serializer)

    - #### flushRemotes

          public void flushRemotes()
                            throws InterruptedException

      Throws:
        `InterruptedException`

    - #### tryFlushRemotes

          public boolean tryFlushRemotes()

    - #### haltTransferThd

          public void haltTransferThd()

Copyright © 2021 The Apache Software Foundation. All rights reserved.